# NOTE: This file may be overwritten by radius installation procedure.
# Please add your customizations to the main dictionary file.
# Run
#       info Radius dictionary
# for detailed description of the format of this file.
# Please report errors to <bug-gnu-radius@gnu.org>

#
# Ascend vendor-specific dictionary
#
# Enable by putting the line "$INCLUDE dict/ascend.vs" into
# the main dictionary file.
# Version:	2.00  29-Jun-2001  Oleg Gawriloff <barzog@telecom.by>
#		based on TAOS RADIUS Guide and Reference P/N:7820-0729-004
#		for software version 9.0, january 2001
# Version:	1.00  21-Jul-1997  Jens Glaser <jens@regio.net>
#

BEGIN VENDOR Ascend 529

#
#	Ascend specific extensions
#	Used by ASCEND MAX/Pipeline products
#
ATTRIBUTE	Ascend-UU-Info			  7	string	
ATTRIBUTE	Ascend-User-Priority		  8	integer	
ATTRIBUTE	Ascend-CIR-Timer		  9	integer	
ATTRIBUTE	Ascend-FR-08-Mode		 10	integer	
ATTRIBUTE	Ascend-FR-SVC-Addr		 12	integer	
ATTRIBUTE	Ascend-NAS-Port-Format		 13	integer	
ATTRIBUTE	Ascend-ATM-Fault-Management	 14	integer	
ATTRIBUTE	Ascend-ATM-Loopback-Cell-Loss	 15	integer	
ATTRIBUTE	Ascend-Ckt-Type			 16	integer	
ATTRIBUTE	Ascend-SVC-Enabled		 17	integer	
ATTRIBUTE	Ascend-PW-Expiration		 21	string	
ATTRIBUTE	Ascend-Auth-Delay		 28     integer	
ATTRIBUTE	Ascend-X25-Pad-X3-Profile	 29	integer	
ATTRIBUTE	Ascend-X25-Pad-X3-Parameters	 30	string	
ATTRIBUTE	Ascend-Tunnel-VRouter-Name	 31	string	
ATTRIBUTE	Ascend-X25-Reverse-Charging	 32	integer	
ATTRIBUTE	Ascend-X25-Nui-Prompt		 33 	string	
ATTRIBUTE	Ascend-X25-Nui-Password-Prompt	 34	string	
ATTRIBUTE	Ascend-X25-Cug			 35	string	
ATTRIBUTE	Ascend-X25-Pad-Alias-1		 36	string	
ATTRIBUTE	Ascend-X25-Pad-Alias-2		 37	string	
ATTRIBUTE	Ascend-X25-Pad-Alias-3		 38	string	
ATTRIBUTE	Ascend-X25-X121-Address		 39	string	
ATTRIBUTE	Ascend-X25-Rpoa			 41	string	
ATTRIBUTE	Ascend-X25-Pad-Prompt		 42	string	
ATTRIBUTE	Ascend-X25-Pad-Banner		 43	string	
ATTRIBUTE	Ascend-X25-Profile-Name		 44	string	
ATTRIBUTE	Ascend-X25-Nui			 45	string	
ATTRIBUTE	Ascend-Recv-Name		 45	string	
ATTRIBUTE	Ascend-Bi-Directional-Auth	 46	integer	
ATTRIBUTE	Ascend-MTU			 47	integer	
ATTRIBUTE	Ascend-Filter-Required		 50	integer	
ATTRIBUTE	Ascend-Traffic-Shaper		 51	integer	
ATTRIBUTE	Ascend-Private-Route-Table-ID	 54	string	
ATTRIBUTE	Ascend-Private-Route-Required	 55	integer	
ATTRIBUTE	Ascend-Cache-Refresh		 56	integer	
ATTRIBUTE	Ascend-Cache-Time		 57	integer	
ATTRIBUTE	Ascend-Egress-Enabled		 58 	integer	
ATTRIBUTE	Ascend-QOS-Upstream		 59	string	
ATTRIBUTE	Ascend-QOS-Downstream		 60	string	
ATTRIBUTE	Ascend-ATM-Connect-Vpi		 61	integer	
ATTRIBUTE	Ascend-ATM-Connect-Vci		 62	integer	
ATTRIBUTE	Ascend-ATM-Connect-Group	 63	integer	
ATTRIBUTE	Ascend-ATM-Group		 64 	integer	
ATTRIBUTE	Ascend-IPX-Header-Compression	 65	integer	
ATTRIBUTE	Ascend-Calling-Id-Type-Of-Number 66	integer	
ATTRIBUTE	Ascend-Calling-Id-Numbering-Plan 67	integer	
ATTRIBUTE	Ascend-Calling-Id-Presentation   68	integer	
ATTRIBUTE	Ascend-Calling-Id-Screening	 69	integer	
ATTRIBUTE	Ascend-BIR-Enable		 70	integer	
ATTRIBUTE	Ascend-BIR-Proxy		 71	integer	
ATTRIBUTE	Ascend-BIR-Bridge-Group		 72	integer	
ATTRIBUTE	Ascend-IPSEC-Profile		 73	string	
ATTRIBUTE	Ascend-PPPoE-Enable		 74	integer	
ATTRIBUTE	Ascend-Bridge-Non-PPPoE		 75	integer	
ATTRIBUTE	Ascend-ATM-Direct		 76	integer	
ATTRIBUTE	Ascend-ATM-Profile		 77	string	
ATTRIBUTE	Ascend-Client-Priamry-WINS	 78	ipaddr	
ATTRIBUTE	Ascend-Client-Secondary-WINS	 79	ipaddr	
ATTRIBUTE	Ascend-Client-Assign-WINS	 80	integer	
ATTRIBUTE	Ascend-Auth-Type		 81	integer	
ATTRIBUTE	Ascend-Port-Redir-Protocol	 82	integer	
ATTRIBUTE	Ascend-Port-Redir-Portnum	 83	integer	
ATTRIBUTE	Ascend-Port-Redir-Server	 84	ipaddr	
ATTRIBUTE	Ascend-IP-Pool-Chaining		 85	integer	
ATTRIBUTE	Ascend-Owner-IP-Addr		 86	ipaddr	
ATTRIBUTE	Ascend-IP-TOS			 87	integer	
ATTRIBUTE       Ascend-IP-TOS-Precedence         88     integer 
ATTRIBUTE	Ascend-IP-TOS-Apply-To		 89	integer	
ATTRIBUTE	Ascend-Filter			 90 	string	
ATTRIBUTE	Ascend-Telnet-Profile		 91	string	
ATTRIBUTE	Ascend-Dsl-Rate-Type		 92	integer	
ATTRIBUTE	Ascend-Redirect-Number		 93	string	
ATTRIBUTE	Ascend-ATM-Vpi			 94	integer	
ATTRIBUTE	Ascend-ATM-Vci			 95	integer	
ATTRIBUTE	Ascend-Source-IP-Check		 96	integer	
ATTRIBUTE	Ascend-Dsl-Rate-Mode		 97	integer	
ATTRIBUTE	Ascend-DSL-Upstream-Limit	 98	integer	
ATTRIBUTE	Ascend-DSL-Downstream-Limit	 99	integer	
ATTRIBUTE	Ascend-Dsl-CIR-Recv-Limit	100	integer	
ATTRIBUTE	Ascend-Dsl-CIR-Xmit-Limit	101	integer	
ATTRIBUTE	Ascend-VRouter-Name		102	string	
ATTRIBUTE	Ascend-Source-Auth		103	string	
ATTRIBUTE	Ascend-Private-Route		104	string	
ATTRIBUTE	Ascend-Numbering-Plan-ID	105	integer	
ATTRIBUTE	Ascend-FR-Link-Status-DLCI	106	integer	
ATTRIBUTE	Ascend-Calling-Subaddress	107	integer	
ATTRIBUTE	Ascend-Callback-Delay		108	integer	
ATTRIBUTE	Ascend-Endpoint-Disc		109	integer	
ATTRIBUTE	Ascend-Remote-FW		110	string	
ATTRIBUTE	Ascend-Multicast-GLeave-Delay	111	integer	
ATTRIBUTE	Ascend-CBCP-Enable		112	integer	
ATTRIBUTE	Ascend-CBCP-Mode		113	integer	
ATTRIBUTE	Ascend-CBCP-Trunk-Group		115	integer	
ATTRIBUTE	Ascend-Appletalk-Route		116	string	
ATTRIBUTE	Ascend-Appletalk-Peer-Mode	117	integer	
ATTRIBUTE	Ascend-Route-Appletalk		118	integer	
ATTRIBUTE	Ascend-FCP-Parameter		119	string	
ATTRIBUTE	Ascend-Modem-PortNo		120	integer	
ATTRIBUTE	Ascend-Modem-SlotNo		121	integer	
ATTRIBUTE	Ascend-Modem-ShelfNo		122	integer	
ATTRIBUTE	Ascend-Call-Attempt-Limit	123	integer	
ATTRIBUTE	Ascend-Call-Block-Duration	124	integer	
ATTRIBUTE	Ascend-Maximum-Call-Duration	125	integer	
ATTRIBUTE	Ascend-Route-Preference		126	integer	
ATTRIBUTE       Ascend-Shared-Profile-Enable    128     integer	
ATTRIBUTE	Ascend-Primary-Home-Agent	129	string	
ATTRIBUTE	Ascend-Secondary-Home-Agent	130	string	
ATTRIBUTE	Ascend-Dialout-Allowed		131	integer	
ATTRIBUTE	Ascend-Client-Gateway		132	ipaddr	
ATTRIBUTE	Ascend-BACP-Enable		133	integer	
ATTRIBUTE	Ascend-DHCP-Maximum-Leases	134	integer	
ATTRIBUTE	Ascend-Client-Primary-DNS	135	ipaddr	
ATTRIBUTE	Ascend-Client-Secondary-DNS	136	ipaddr	
ATTRIBUTE	Ascend-Client-Assign-DNS	137	integer	
ATTRIBUTE	Ascend-User-Acct-Type		138	integer	
ATTRIBUTE	Ascend-User-Acct-Host		139	ipaddr	
ATTRIBUTE	Ascend-User-Acct-Port		140	integer	
ATTRIBUTE	Ascend-User-Acct-Key		141	string	
ATTRIBUTE	Ascend-User-Acct-Base		142	integer	
ATTRIBUTE	Ascend-User-Acct-Time		143	integer	
ATTRIBUTE	Ascend-Assign-IP-Client		144	ipaddr	
ATTRIBUTE	Ascend-Assign-IP-Server		145	ipaddr	
ATTRIBUTE	Ascend-Assign-IP-Global-Pool	146	string	
ATTRIBUTE	Ascend-DHCP-Reply		147	integer	
ATTRIBUTE	Ascend-DHCP-Pool-Number		148	integer	
ATTRIBUTE	Ascend-Expect-Callback		149	integer	
ATTRIBUTE	Ascend-Event-Type		150	integer	
ATTRIBUTE	Ascend-Session-Svr-Key		151	string	
ATTRIBUTE	Ascend-Multicast-Rate-Limit	152	integer	
ATTRIBUTE	Ascend-IF-Netmask		153	ipaddr	
ATTRIBUTE	Ascend-Remote-Addr		154	ipaddr	
ATTRIBUTE	Ascend-Multicast-Client		155	integer	
ATTRIBUTE	Ascend-FR-Circuit-Name		156	string	
ATTRIBUTE	Ascend-FR-LinkUp		157	integer	
ATTRIBUTE	Ascend-FR-Nailed-Grp		158	integer	
ATTRIBUTE	Ascend-FR-Type			159	integer	
ATTRIBUTE	Ascend-FR-Link-Mgt		160	integer	
ATTRIBUTE	Ascend-FR-N391			161	integer	
ATTRIBUTE	Ascend-FR-DCE-N392		162	integer	
ATTRIBUTE	Ascend-FR-DTE-N392		163	integer	
ATTRIBUTE	Ascend-FR-DCE-N393		164	integer	
ATTRIBUTE	Ascend-FR-DTE-N393		165	integer	
ATTRIBUTE	Ascend-FR-T391			166	integer	
ATTRIBUTE	Ascend-FR-T392			167	integer	
ATTRIBUTE	Ascend-Bridge-Address  	 	168	string	
ATTRIBUTE       Ascend-TS-Idle-Limit            169     integer	
ATTRIBUTE       Ascend-TS-Idle-Mode             170     integer	
ATTRIBUTE	Ascend-DBA-Monitor	 	171	integer	
ATTRIBUTE	Ascend-Base-Channel-Count 	172	integer	
ATTRIBUTE	Ascend-Minimum-Channels		173	integer	
ATTRIBUTE	Ascend-IPX-Route		174	string	
ATTRIBUTE	Ascend-FT1-Caller		175	integer	
ATTRIBUTE	Ascend-Backup			176	string	
ATTRIBUTE	Ascend-Call-Type		177	integer	
ATTRIBUTE	Ascend-Group			178	string	
ATTRIBUTE	Ascend-FR-DLCI			179	integer	
ATTRIBUTE	Ascend-FR-Profile-Name		180	string	
ATTRIBUTE	Ascend-Ara-PW			181	string	
ATTRIBUTE	Ascend-IPX-Node-Addr		182	string	
ATTRIBUTE	Ascend-Home-Agent-IP-Addr	183	ipaddr	
ATTRIBUTE	Ascend-Home-Agent-Password	184	string	
ATTRIBUTE	Ascend-Home-Network-Name	185	string	
ATTRIBUTE	Ascend-Home-Agent-UDP-Port	186	integer	
ATTRIBUTE	Ascend-Multilink-ID		187	integer	
ATTRIBUTE	Ascend-Num-In-Multilink		188	integer	
ATTRIBUTE	Ascend-First-Dest		189	ipaddr	
ATTRIBUTE	Ascend-Pre-Input-Octets		190	integer	
ATTRIBUTE	Ascend-Pre-Output-Octets	191	integer	
ATTRIBUTE	Ascend-Pre-Input-Packets	192	integer	
ATTRIBUTE	Ascend-Pre-Output-Packets	193	integer	
ATTRIBUTE	Ascend-Maximum-Time		194	integer	
ATTRIBUTE	Ascend-Disconnect-Cause		195	integer	
ATTRIBUTE	Ascend-Connect-Progress		196	integer	
ATTRIBUTE	Ascend-Data-Rate		197	integer	
ATTRIBUTE	Ascend-PreSession-Time		198	integer	
ATTRIBUTE	Ascend-Token-Idle		199	integer	
ATTRIBUTE	Ascend-Token-Immediate		200	integer	
ATTRIBUTE	Ascend-Require-Auth		201	integer	
ATTRIBUTE	Ascend-Number-Sessions		202	string	
ATTRIBUTE	Ascend-Authen-Alias		203	string	
ATTRIBUTE	Ascend-Token-Expiry		204	integer	
ATTRIBUTE	Ascend-Menu-Selector		205	string	
ATTRIBUTE	Ascend-Menu-Item		206	string	
ATTRIBUTE	Ascend-PW-Warntime		207	integer	
ATTRIBUTE	Ascend-PW-Lifetime		208	integer	
ATTRIBUTE	Ascend-IP-Direct		209	ipaddr	
ATTRIBUTE	Ascend-PPP-VJ-Slot-Comp		210	integer	
ATTRIBUTE	Ascend-PPP-VJ-1172		211	integer	
ATTRIBUTE	Ascend-PPP-Async-Map		212	integer	
ATTRIBUTE	Ascend-Third-Prompt		213	string	
ATTRIBUTE	Ascend-Send-Secret		214	string	
ATTRIBUTE	Ascend-Receive-Secret		215	string	
ATTRIBUTE	Ascend-IPX-Peer-Mode		216	integer	
ATTRIBUTE	Ascend-IP-Pool-Definition	217	string	
ATTRIBUTE	Ascend-Assign-IP-Pool		218	integer	
ATTRIBUTE	Ascend-FR-Direct		219	integer	
ATTRIBUTE	Ascend-FR-Direct-Profile	220	string	
ATTRIBUTE	Ascend-FR-Direct-DLCI		221	integer	
ATTRIBUTE	Ascend-Handle-IPX		222	integer	
ATTRIBUTE	Ascend-Netware-timeout		223	integer	
ATTRIBUTE	Ascend-IPX-Alias		224	integer	
ATTRIBUTE	Ascend-Metric			225	integer	
ATTRIBUTE	Ascend-PRI-Number-Type		226	integer	
ATTRIBUTE	Ascend-Dial-Number		227	string	
ATTRIBUTE	Ascend-Route-IP			228	integer	
ATTRIBUTE	Ascend-Route-IPX		229	integer	
ATTRIBUTE	Ascend-Bridge			230	integer	
ATTRIBUTE	Ascend-Send-Auth		231	integer	
ATTRIBUTE	Ascend-Send-Passwd		232	string	
ATTRIBUTE	Ascend-Link-Compression		233	integer	
ATTRIBUTE	Ascend-Target-Util		234	integer	
ATTRIBUTE	Ascend-Maximum-Channels		235	integer	
ATTRIBUTE	Ascend-Inc-Channel-Count	236	integer	
ATTRIBUTE	Ascend-Dec-Channel-Count	237	integer	
ATTRIBUTE	Ascend-Seconds-Of-History	238	integer	
ATTRIBUTE	Ascend-History-Weigh-Type	239	integer	
ATTRIBUTE	Ascend-Add-Seconds		240	integer	
ATTRIBUTE	Ascend-Remove-Seconds		241	integer	
ATTRIBUTE	Ascend-Data-Filter		242	abinary	
ATTRIBUTE	Ascend-Call-Filter		243	abinary	
ATTRIBUTE	Ascend-Idle-Limit		244	integer	
ATTRIBUTE	Ascend-Preempt-Limit		245	integer	
ATTRIBUTE	Ascend-Callback			246	integer	
ATTRIBUTE	Ascend-Data-Svc			247	integer	
ATTRIBUTE	Ascend-Force-56			248	integer	
ATTRIBUTE	Ascend-Billing-Number		249	string	
ATTRIBUTE	Ascend-Call-By-Call		250	integer	
ATTRIBUTE	Ascend-Transit-Number		251	string	
ATTRIBUTE	Ascend-Host-Info		252	string	
ATTRIBUTE	Ascend-PPP-Address		253	ipaddr	
ATTRIBUTE	Ascend-MPP-Idle-Percent		254	integer	
ATTRIBUTE	Ascend-Xmit-Rate		255	integer	

# Ascend protocols
VALUE		Service-Type		Dialout-Framed-User	5
VALUE		Framed-Protocol		ARA			255
VALUE		Framed-Protocol		MPP			256
VALUE		Framed-Protocol		EURAW			257
VALUE		Framed-Protocol		EUUI			258
VALUE		Framed-Protocol		X25			259
VALUE		Framed-Protocol		COMB			260
VALUE		Framed-Protocol		FR			261
VALUE		Framed-Protocol		MP			262
VALUE		Framed-Protocol		FR-CIR			263


#
#	Ascend specific extensions
#	Used by ASCEND MAX/Pipeline products (see above)
#
VALUE		Ascend-FR-08-Mode	FR-08-Mode-No		0
VALUE           Ascend-FR-08-Mode       FR-08-Mode-Yes		1
VALUE		Ascend-SVC-Enabled	Ascend-SVC-Enabled-No	0
VALUE		Ascend-SVC-Enabled	Ascend-SVC-Enabled-Yes	1
VALUE		Ascend-X25-Reverse-Charging Reverse-Charging-No 0
VALUE		Ascend-X25-Reverse-Charging Reverse-Charging-Yes 1
VALUE		Ascend-X25-Pad-X3-Profile CRT			0
VALUE		Ascend-X25-Pad-X3-Profile INFONET		1
VALUE		Ascend-X25-Pad-X3-Profile DEFAULT		2
VALUE		Ascend-X25-Pad-X3-Profile SCEN			3
VALUE		Ascend-X25-Pad-X3-Profile CC_SSP		4
VALUE		Ascend-X25-Pad-X3-Profile CC_TSP		5
VALUE		Ascend-X25-Pad-X3-Profile HARDCOPY		6
VALUE		Ascend-X25-Pad-X3-Profile HDX			7
VALUE		Ascend-X25-Pad-X3-Profile SHARK			8
VALUE		Ascend-X25-Pad-X3-Profile POS			9
VALUE		Ascend-X25-Pad-X3-Profile NULL			10
VALUE		Ascend-X25-Pad-X3-Profile CUSTOM		11
VALUE		Ascend-NAS-Port-Format	Unknown			0
VALUE		Ascend-NAS-Port-Format  2_4_6_4			1
VALUE		Ascend-NAS-Port-Format  2_4_5_5			2
VALUE		Ascend-NAS-Port-Format  1_2_2			3
VALUE		Ascend-NAS-Port-Format  0_6_5_5			4
VALUE		Ascend-ATM-Fault-Management VC-No-Loopback	0
VALUE           Ascend-ATM-Fault-Management VC-Segment-Loopback 1
VALUE           Ascend-ATM-Fault-Management VC-End-To-End-Loopback 2
VALUE		Ascend-BIR-Enable	BIR-Enable-No		0
VALUE		Ascend-BIR-Enable	BIR-Enable-Yes		1
VALUE		Ascend-BIR-Proxy	BIR-Proxy-No		0
VALUE		Ascend-BIR-Proxy	BIR-Proxy-Yes		1
VALUE		Ascend-PPPoE-Enable	PPPoE-No		0
VALUE		Ascend-PPPoE-Enable	PPPoE-Yes		1
VALUE		Ascend-Bridge-Non-PPPoE Bridge-Non-PPPoE-No	0
VALUE		Ascend-Bridge-Non-PPPoE Bridge-Non-PPPoE-Yes	1	
VALUE		Ascend-Bi-Directional-Auth Bi-Directinal-Auth-None 0
VALUE           Ascend-Bi-Directional-Auth Bi-Directional-Auth-Allowed 1
VALUE           Ascend-Bi-Directional-Auth Bi-Directional-Auth-Required 2
VALUE		Ascend-Filter-Required	Required-No		0
VALUE           Ascend-Filter-Required  Required-Yes		1
VALUE		Ascend-Private-Route-Required Required-No	0
VALUE		Ascend-Private-Route-Required Required-Yes	1
VALUE		Ascend-Cache-Refresh	Refresh-No		0
VALUE		Ascend-Cache-Refresh	Refresh-Yes		1
VALUE	Ascend-IPX-Header-Compression	Ascend-IPX-Header-Compression-No 0
VALUE   Ascend-IPX-Header-Compression   Ascend-IPX-Header-Compression-Yes 1
VALUE		Ascend-Calling-Id-Type-Of-Number Unknown	0
VALUE           Ascend-Calling-Id-Type-Of-Number International-Number 1
VALUE           Ascend-Calling-Id-Type-Of-Number National-Number 2
VALUE           Ascend-Calling-Id-Type-Of-Number Network-Specific 3
VALUE           Ascend-Calling-Id-Type-Of-Number Subscriber-Number 4
VALUE           Ascend-Calling-Id-Type-Of-Number Abbreviated-Number 6
VALUE		Ascend-Calling-Id-Numbering-Plan Unknown	0
VALUE		Ascend-Calling-Id-Numbering-Plan ISDN-Telephony 1
VALUE		Ascend-Calling-Id-Numbering-Plan Data		3
VALUE		Ascend-Calling-Id-Numbering-Plan Telex		4
VALUE		Ascend-Calling-Id-Numbering-Plan National	8
VALUE		Ascend-Calling-Id-Numbering-Plan Private	9
VALUE		Ascend-Calling-Id-Presentation	Allowed		0
VALUE           Ascend-Calling-Id-Presentation  Restricted	1
VALUE           Ascend-Calling-Id-Presentation  Number-Not-Availbale 2
VALUE		Ascend-Calling-Id-Screening	User-Not-Screened 0
VALUE		Ascend-Calling-Id-Screening	User-Provided-Passed 1
VALUE		Ascend-Calling-Id-Screening	User-Provided-Failed 2
VALUE		Ascend-Calling-Id-Screening	Network-Provided	3
VALUE		Ascend-Egress-Enabled	Egress-Enable-No	0
VALUE		Ascend-Egress-Enabled	Egress-Enable-Yes	1
VALUE		Ascend-Appletalk-Peer-Mode Appletalk-Peer-Router 0
VALUE		Ascend-Appletalk-Peer-Mode Appletalk-Peer-Dialin 1
VALUE		Ascend-Route-Appletalk	Route-AppleTalk-No	0
VALUE		Ascend-Route-Appletalk	Route-AppleTalk-Yes	1
VALUE		Ascend-CBCP-Enable	CBCP-Not-Enabled	0
VALUE		Ascend-CBCP-Enable	CBCP-Enabled		1
VALUE		Ascend-CBCP-Mode	CBCP-No-Callback	1
VALUE		Ascend-CBCP-Mode	CBCP-User-Callback	2
VALUE           Ascend-CBCP-Mode        CBCP-Profile-Callback	3
VALUE           Ascend-CBCP-Mode        CBCP-Any-Or-No		7
VALUE		Ascend-Dsl-Rate-Type	Rate-Type-Disabled	0
VALUE		Ascend-Dsl-Rate-Type	Rate-Type-Sdsl		1
VALUE		Ascend-Dsl-Rate-Type	Rate-Type-AdslCap	2
VALUE		Ascend-Dsl-Rate-Type	Rate-Type-AdslDmtCell	3
VALUE		Ascend-Dsl-Rate-Type	Rate-Type-AdslDmt	4
VALUE		Ascend-Dsl-Rate-Mode	Rate-Mode-AutoBaud	1
VALUE		Ascend-Dsl-Rate-Mode	Rate-Mode-Single	2
VALUE		Ascend-Source-IP-Check	Source-IP-Check-No	0
VALUE		Ascend-Source-IP-Check	Source-IP-Check-Yes	1
VALUE		Ascend-Numbering-Plan-ID Unknown-Numbering-Plan 0
VALUE		Ascend-Numbering-Plan-ID ISDN-Numbering-Plan	1
VALUE		Ascend-Numbering-Plan-ID Private-Numbering-Plan 9
VALUE		Ascend-ATM-Direct	ATM-Direct-No		0
VALUE		Ascend-ATM-Direct	ATM-Direct-Yes		1
VALUE		Ascend-Auth-Type	Auth-None		0
VALUE		Ascend-Auth-Type	Auth-Default		1
VALUE		Ascend-Auth-Type	Auth-Any		2
VALUE		Ascend-Auth-Type	Auth-PAP		3
VALUE		Ascend-Auth-Type	Auth-CHAP		4
VALUE		Ascend-Auth-Type	Auth-MS-CHAP		5
VALUE		Ascend-Port-Redir-Protocol Ascend-Proto-TCP	6
VALUE		Ascend-Port-Redir-Protocol Ascend-Proto-UDP	17
VALUE		Ascend-IP-Pool-Chaining	IP-Pool-Chaining-No	0
VALUE           Ascend-IP-Pool-Chaining IP-Pool-Chaining-Yes	1
VALUE		Ascend-IP-TOS		IP-TOS-Normal		0
VALUE		Ascend-IP-TOS		IP-TOS-Disabled		1
VALUE		Ascend-IP-TOS		IP-TOS-Cost		2
VALUE		Ascend-IP-TOS		IP-TOS-Reliability	4
VALUE		Ascend-IP-TOS		IP-TOS-Throughput	8
VALUE		Ascend-IP-TOS		IP-TOS-Latency		16
VALUE		Ascend-IP-TOS-Precedence IP-TOS-Precedence-Pri-Normal 0
VALUE		Ascend-IP-TOS-Precedence IP-TOS-Precedence-Pri-One 32
VALUE		Ascend-IP-TOS-Precedence IP-TOS-Precedence-Pri-Two 64
VALUE		Ascend-IP-TOS-Precedence IP-TOS-Precedence-Pri-Three 96
VALUE		Ascend-IP-TOS-Precedence IP-TOS-Precedence-Pri-Four 128
VALUE		Ascend-IP-TOS-Precedence IP-TOS-Precedence-Pri-Five 160
VALUE		Ascend-IP-TOS-Precedence IP-TOS-Precedence-Pri-Six 192
VALUE		Ascend-IP-TOS-Precedence IP-TOS-Precedence-Pri-Seven 224
VALUE		Ascend-IP-TOS-Apply-To  IP-TOS-Apply-To-Incoming 1024
VALUE		Ascend-IP-TOS-Apply-To  IP-TOS-Apply-To-Outgoing 2048
VALUE		Ascend-IP-TOS-Apply-To  IP-TOS-Apply-To-Both	3072
VALUE		Ascend-FR-Direct	FR-Direct-No		0
VALUE		Ascend-FR-Direct	FR-Direct-Yes		1
VALUE		Ascend-Handle-IPX	Handle-IPX-None		0
VALUE		Ascend-Handle-IPX	Handle-IPX-Client	1
VALUE		Ascend-Handle-IPX	Handle-IPX-Server	2
VALUE		Ascend-IPX-Peer-Mode	IPX-Peer-Router		0
VALUE		Ascend-IPX-Peer-Mode	IPX-Peer-Dialin		1
VALUE		Ascend-Call-Type	Switched		0
VALUE		Ascend-Call-Type	Nailed			1
VALUE		Ascend-Call-Type	Nailed/Mpp		2
VALUE		Ascend-Call-Type	Perm/Switched		3
VALUE		Ascend-Call-Type	AO/DI			6
VALUE		Ascend-Call-Type	MegaMax			7
VALUE		Ascend-FT1-Caller	FT1-No			0
VALUE		Ascend-FT1-Caller	FT1-Yes			1
VALUE		Ascend-PRI-Number-Type	Unknown-Number		0
VALUE		Ascend-PRI-Number-Type	Intl-Number		1
VALUE		Ascend-PRI-Number-Type	National-Number		2
VALUE		Ascend-PRI-Number-Type	Net-Specific-Number	3
VALUE		Ascend-PRI-Number-Type	Local-Number		4
VALUE		Ascend-PRI-Number-Type	Abbrev-Number		5
VALUE		Ascend-Route-IP		Route-IP-No		0
VALUE		Ascend-Route-IP		Route-IP-Yes		1
VALUE		Ascend-Route-IPX	Route-IPX-No		0
VALUE		Ascend-Route-IPX	Route-IPX-Yes		1
VALUE		Ascend-Bridge		Bridge-No		0
VALUE		Ascend-Bridge		Bridge-Yes		1
VALUE  		Ascend-TS-Idle-Mode     TS-Idle-None		0
VALUE	  	Ascend-TS-Idle-Mode     TS-Idle-Input		1
VALUE  		Ascend-TS-Idle-Mode     TS-Idle-Input-Output	2
VALUE		Ascend-Send-Auth	Send-Auth-None		0
VALUE		Ascend-Send-Auth	Send-Auth-PAP		1
VALUE		Ascend-Send-Auth	Send-Auth-CHAP		2
VALUE		Ascend-Send-Auth	Send-Auth-MS-CHAP	3
VALUE		Ascend-Link-Compression	Link-Comp-None		0
VALUE		Ascend-Link-Compression	Link-Comp-Stac		1
VALUE		Ascend-Link-Compression	Link-Comp-Stac-Draft-9	2
VALUE		Ascend-Link-Compression	Link-Comp-MS-Stac	3
VALUE		Ascend-History-Weigh-Type	History-Constant	0
VALUE		Ascend-History-Weigh-Type	History-Linear		1
VALUE		Ascend-History-Weigh-Type	History-Quadratic	2
VALUE		Ascend-Callback		Callback-No		0
VALUE		Ascend-Callback		Callback-Yes		1
VALUE		Ascend-Expect-Callback	Expect-Callback-No	0
VALUE		Ascend-Expect-Callback	Expect-Callback-Yes	1
VALUE		Ascend-Data-Svc		Switched-Voice-Bearer	0
VALUE		Ascend-Data-Svc		Switched-56KR		1
VALUE		Ascend-Data-Svc		Switched-64K		2
VALUE		Ascend-Data-Svc		Switched-64KR		3
VALUE		Ascend-Data-Svc		Switched-56K		4
VALUE		Ascend-Data-Svc		Switched-384KR		5
VALUE		Ascend-Data-Svc		Switched-384K		6
VALUE		Ascend-Data-Svc		Switched-1536K		7
VALUE		Ascend-Data-Svc		Switched-1536KR		8
VALUE		Ascend-Data-Svc		Switched-128K		9
VALUE		Ascend-Data-Svc		Switched-192K		10
VALUE		Ascend-Data-Svc		Switched-256K		11
VALUE		Ascend-Data-Svc		Switched-320K		12
VALUE		Ascend-Data-Svc		Switched-384K-MR	13
VALUE		Ascend-Data-Svc		Switched-448K		14
VALUE		Ascend-Data-Svc		Switched-512K		15
VALUE		Ascend-Data-Svc		Switched-576K		16
VALUE		Ascend-Data-Svc		Switched-640K		17
VALUE		Ascend-Data-Svc		Switched-704K		18
VALUE		Ascend-Data-Svc		Switched-768K		19
VALUE		Ascend-Data-Svc		Switched-832K		20
VALUE		Ascend-Data-Svc		Switched-896K		21
VALUE		Ascend-Data-Svc		Switched-960K		22
VALUE		Ascend-Data-Svc		Switched-1024K		23
VALUE		Ascend-Data-Svc		Switched-1088K		24
VALUE		Ascend-Data-Svc		Switched-1152K		25
VALUE		Ascend-Data-Svc		Switched-1216K		26
VALUE		Ascend-Data-Svc		Switched-1280K		27
VALUE		Ascend-Data-Svc		Switched-1344K		28
VALUE		Ascend-Data-Svc		Switched-1408K		29
VALUE		Ascend-Data-Svc		Switched-1472K		30
VALUE		Ascend-Data-Svc		Switched-1600K		31
VALUE		Ascend-Data-Svc		Switched-1664K		32
VALUE		Ascend-Data-Svc		Switched-1728K		33
VALUE		Ascend-Data-Svc		Switched-1792K		34
VALUE		Ascend-Data-Svc		Switched-1856K		35
VALUE		Ascend-Data-Svc		Switched-1920K		36
VALUE		Ascend-Data-Svc		Switched-inherited	37
VALUE		Ascend-Data-Svc		Switched-restricted-bearer-x30  38
VALUE		Ascend-Data-Svc		Switched-clear-bearer-v110	39
VALUE		Ascend-Data-Svc		Switched-restricted-64-x30	40
VALUE		Ascend-Data-Svc		Switched-clear-56-v110		41
VALUE		Ascend-Data-Svc		Switched-modem			42
VALUE		Ascend-Data-Svc		Switched-atmodem		43
VALUE		Ascend-Data-Svc		Switched-V110-24-56	45
VALUE           Ascend-Data-Svc         Switched-V110-48-56	46
VALUE           Ascend-Data-Svc         Switched-V110-96-56	47
VALUE           Ascend-Data-Svc         Switched-V110-192-56	48
VALUE           Ascend-Data-Svc         Switched-V110-384-56	49
VALUE           Ascend-Data-Svc         Switched-V110-24-56R	50
VALUE           Ascend-Data-Svc         Switched-V110-48-56R	51
VALUE           Ascend-Data-Svc         Switched-V110-96-56R	52
VALUE           Ascend-Data-Svc         Switched-V110-192-56R	53
VALUE           Ascend-Data-Svc         Switched-V110-384-56R	54
VALUE           Ascend-Data-Svc         Switched-V110-24-64	55
VALUE           Ascend-Data-Svc		Switched-V110-48-64	56		
VALUE           Ascend-Data-Svc		Switched-V110-96-64	57
VALUE           Ascend-Data-Svc		Switched-V110-192-64	58
VALUE           Ascend-Data-Svc		Switched-V110-384-64	59
VALUE           Ascend-Data-Svc		Switched-V110-24-64R	60
VALUE           Ascend-Data-Svc		Switched-V110-48-64R	61
VALUE           Ascend-Data-Svc		Switched-V110-96-64R	62
VALUE           Ascend-Data-Svc		Switched-V110-192-64R	63
VALUE           Ascend-Data-Svc		Switched-V110-384-64R	64
VALUE           Ascend-Data-Svc 	Switched-POTS		68
VALUE           Ascend-Data-Svc         Switched-ATM		69
VALUE           Ascend-Data-Svc         Switched-FR		70 
VALUE		Ascend-Data-Svc		Nailed-56KR		1
VALUE		Ascend-Data-Svc		Nailed-64K		2
VALUE		Ascend-Force-56		Force-56-No		0
VALUE		Ascend-Force-56		Force-56-Yes		1
VALUE		Ascend-PW-Lifetime	Lifetime-In-Days	0
VALUE		Ascend-PW-Warntime	Days-Of-Warning		0
VALUE		Ascend-PPP-VJ-1172	PPP-VJ-1172		1
VALUE		Ascend-PPP-VJ-Slot-Comp	VJ-Slot-Comp-No		1
VALUE		Ascend-Require-Auth	Not-Require-Auth	0
VALUE		Ascend-Require-Auth	Require-Auth		1
VALUE		Ascend-Token-Immediate	Tok-Imm-No		0
VALUE		Ascend-Token-Immediate	Tok-Imm-Yes		1
VALUE		Ascend-DBA-Monitor	DBA-Transmit		0
VALUE 		Ascend-DBA-Monitor	DBA-Transmit-Recv	1
VALUE		Ascend-DBA-Monitor	DBA-None		2
VALUE		Ascend-FR-Type		Ascend-FR-DTE		0
VALUE		Ascend-FR-Type		Ascend-FR-DCE		1
VALUE		Ascend-FR-Type		Ascend-FR-NNI		2
VALUE		Ascend-FR-Link-Mgt	Ascend-FR-No-Link-Mgt	0
VALUE		Ascend-FR-Link-Mgt	Ascend-FR-T1-617D	1
VALUE		Ascend-FR-Link-Mgt	Ascend-FR-Q-933A	2
VALUE		Ascend-FR-LinkUp	Ascend-LinkUp-Default	0
VALUE		Ascend-FR-LinkUp	Ascend-LinkUp-AlwaysUp	1
VALUE		Ascend-Multicast-Client	Multicast-No		0
VALUE		Ascend-Multicast-Client	Multicast-Yes		1
VALUE		Ascend-User-Acct-Type	Ascend-User-Acct-None	0
VALUE		Ascend-User-Acct-Type	Ascend-User-Acct-User	1
VALUE		Ascend-User-Acct-Type	Ascend-User-Acct-User-Default	2
VALUE		Ascend-User-Acct-Base	Base-10			0
VALUE		Ascend-User-Acct-Base	Base-16			1
VALUE		Ascend-DHCP-Reply	DHCP-Reply-No		0
VALUE		Ascend-DHCP-Reply	DHCP-Reply-Yes		1
VALUE		Ascend-Client-Assign-WINS	WINS-Assign-No	0
VALUE		Ascend-Client-Assign-WINS	WINS-Assign-Yes	1
VALUE		Ascend-Client-Assign-DNS	DNS-Assign-No	0
VALUE		Ascend-Client-Assign-DNS	DNS-Assign-Yes	1
VALUE		Ascend-Event-Type	Ascend-ColdStart	1
VALUE		Ascend-Event-Type	Ascend-Session-Event	2
VALUE		Ascend-BACP-Enable	BACP-No			0
VALUE		Ascend-BACP-Enable	BACP-Yes		1
VALUE		Ascend-Dialout-Allowed	Dialout-Not-Allowed	0
VALUE		Ascend-Dialout-Allowed	Dialout-Allowed		1
VALUE		Ascend-Shared-Profile-Enable    Shared-Profile-No       0
VALUE		Ascend-Shared-Profile-Enable    Shared-Profile-Yes      1
#VALUE		Ascend-Temporary-Rtes	Temp-Rtes-No		0
#VALUE		Ascend-Temporary-Rtes	Temp-Rtes-Yes		1

END 